import time
import sys
import cas
from util import CASUtil
from textblob_de import TextBlobDE

cas_path = sys.argv[1]
ts_path = sys.argv[2]
casnew_path = sys.argv[3]

now = time.time()
#"C:/Users/mkrug/git/PyCAS/test_files/in/Fontane,-Theodor__Effi Briest_GOLD.xml.xmi.xml"
cas_in = cas.CAS(cas_path, ts_path)
#cas_in = cas.CAS("/autofs/ls6/zehe/code/test_files/in/Janitschek,-Maria__Einer Mutter Sieg.xmi.xmi.xmi")
util_in = CASUtil(cas_in)

sentences = cas_in.get_annotation_index(cas.KallimachosAnnotationTypes.SENTENCE)

for sentence in sentences:
    sentiment = TextBlobDE(util_in.get_covered_text(sentence)).sentiment.polarity
    print(sentiment)

    sentence["Sentiment"] = sentiment

cas_in.write_to_file(casnew_path)

print(time.time() - now)
